From e24f70ababdee2b4fdce71c6b80a9bc928fa0331 Mon Sep 17 00:00:00 2001
From: shuishen <1109946754@qq.com>
Date: Mon, 08 May 2023 14:45:08 +0800
Subject: [PATCH] 警情排行调整

---
 src/styles/base/index.css |  366 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 358 insertions(+), 8 deletions(-)

diff --git a/src/styles/base/index.css b/src/styles/base/index.css
index 5fecbf2..5c14218 100644
--- a/src/styles/base/index.css
+++ b/src/styles/base/index.css
@@ -66,6 +66,11 @@
 
 .car-video-box .el-dialog .el-dialog__body {
   flex: 1;
+  display: flex;
+  align-items: center;
+  justify-content: center;
+  width: 100%;
+  height: 100%;
 }
 
 .police-affairs-details-box .el-dialog {
@@ -73,14 +78,54 @@
   display: flex;
   flex-direction: column;
   width: 540px;
-  height: 420px;
+  height: 320px;
   top: 50%;
   left: 50% !important;
   transform: translate(-50%, -50%);
 }
 
+.police-affairs-details-box .el-dialog .el-dialog__header {
+  height: 56px;
+  line-height: 56px;
+}
+
 .police-affairs-details-box .el-dialog .el-dialog__body {
   flex: 1;
+  display: flex;
+  flex-direction: row;
+  flex-wrap: wrap;
+  justify-self: flex-start;
+  align-content: flex-start;
+}
+
+.police-affairs-details-box .el-dialog .el-dialog__body .item {
+  display: flex;
+  flex-direction: row;
+  width: calc(50% - 20px);
+  height: 36px;
+  line-height: 36px;
+  margin: 0 10px;
+  text-align: left;
+}
+
+.police-affairs-details-box
+  .el-dialog
+  .el-dialog__body
+  .item
+  > div:first-child {
+  width: 100px;
+  text-align: justify;
+  display: inline-block;
+  text-align-last: justify;
+  margin-right: 20px;
+}
+
+.police-affairs-details-box
+  .el-dialog
+  .el-dialog__body
+  .item
+  > div:nth-of-type(2) {
+  width: calc(100% - 120px);
 }
 
 .resident-details-box .el-dialog {
@@ -97,27 +142,117 @@
   flex: 1;
 }
 
-.phone-details-box .el-dialog {
+.panorama-details-box .el-dialog {
   margin: 0 !important;
   display: flex;
   flex-direction: column;
-  width: 320px;
-  height: 220px;
+  width: 960px;
+  height: 600px;
   top: 50%;
   left: 50% !important;
   transform: translate(-50%, -50%);
 }
 
+.phone-details-box .el-dialog {
+  margin: 0 !important;
+  display: flex;
+  flex-direction: column;
+  width: 720px;
+  height: 400px;
+  top: 50%;
+  left: 50% !important;
+  transform: translate(-50%, -50%);
+}
+
+.phone-details-box .el-dialog .el-dialog__header {
+  height: 56px;
+  line-height: 56px;
+}
+
 .phone-details-box .el-dialog .el-dialog__body {
   flex: 1;
+  display: flex;
+  flex-direction: row;
+  flex-wrap: wrap;
+  justify-self: flex-start;
+  align-content: flex-start;
+}
+
+.phone-details-box .el-dialog .el-dialog__body .item {
+  display: flex;
+  flex-direction: row;
+  width: calc(50% - 20px);
+  height: 36px;
+  line-height: 36px;
+  margin: 0 10px;
+  text-align: left;
+}
+
+.phone-details-box .el-dialog .el-dialog__body .item > div:first-child {
+  width: 100px;
+  text-align: justify;
+  display: inline-block;
+  text-align-last: justify;
+  margin-right: 20px;
+}
+
+.phone-details-box .el-dialog .el-dialog__body .item > div:nth-of-type(2) {
+  width: calc(100% - 120px);
+}
+
+.area-details-box .el-dialog {
+  margin: 0 !important;
+  display: flex;
+  flex-direction: column;
+  width: 700px;
+  height: 400px;
+  top: 50%;
+  left: 50% !important;
+  transform: translate(-50%, -50%);
+}
+
+.area-details-box .el-dialog .el-dialog__header {
+  height: 56px;
+  line-height: 56px;
+}
+
+.area-details-box .el-dialog .el-dialog__body {
+  flex: 1;
+  display: flex;
+  flex-direction: row;
+  flex-wrap: wrap;
+  justify-self: flex-start;
+  align-content: flex-start;
+}
+
+.area-details-box .el-dialog .el-dialog__body .item {
+  display: flex;
+  flex-direction: row;
+  width: calc(50% - 20px);
+  height: 36px;
+  line-height: 36px;
+  margin: 0 10px;
+  text-align: left;
+}
+
+.area-details-box .el-dialog .el-dialog__body .item > div:first-child {
+  width: 100px;
+  text-align: justify;
+  display: inline-block;
+  text-align-last: justify;
+  margin-right: 20px;
+}
+
+.area-details-box .el-dialog .el-dialog__body .item > div:nth-of-type(2) {
+  width: calc(100% - 120px);
 }
 
 .equiment-details-box .el-dialog {
   margin: 0 !important;
   display: flex;
   flex-direction: column;
-  width: 750px;
-  height: 580px;
+  width: 1000px;
+  height: 600px;
   top: 50%;
   left: 50% !important;
   transform: translate(-50%, -50%);
@@ -146,8 +281,8 @@
   margin: 0 !important;
   display: flex;
   flex-direction: column;
-  width: 800px;
-  height: 500px;
+  width: 1000px;
+  height: 700px;
   top: 50%;
   left: 50% !important;
   transform: translate(-50%, -50%);
@@ -156,3 +291,218 @@
 .keyPerson-details-box .el-dialog .el-dialog__body {
   flex: 1;
 }
+
+.policeSituation-details-box .el-dialog {
+  margin: 0 !important;
+  display: flex;
+  flex-direction: column;
+  width: 800px;
+  height: 500px;
+  top: 50%;
+  left: 50% !important;
+  transform: translate(-50%, -50%);
+}
+
+.policeSituation-details-box .el-dialog .el-dialog__header {
+  height: 56px;
+  line-height: 56px;
+}
+
+.policeSituation-details-box .el-dialog .el-dialog__body {
+  flex: 1;
+  display: flex;
+  flex-direction: row;
+  flex-wrap: wrap;
+  justify-self: flex-start;
+  align-content: flex-start;
+}
+
+.policeSituation-details-box .el-dialog .el-dialog__body .item {
+  display: flex;
+  flex-direction: row;
+  width: calc(50% - 20px);
+  height: 36px;
+  line-height: 36px;
+  margin: 0 10px;
+  text-align: left;
+}
+
+.policeSituation-details-box
+  .el-dialog
+  .el-dialog__body
+  .item
+  > div:first-child {
+  width: 100px;
+  text-align: justify;
+  display: inline-block;
+  text-align-last: justify;
+  margin-right: 20px;
+}
+
+.policeSituation-details-box
+  .el-dialog
+  .el-dialog__body
+  .item
+  > div:nth-of-type(2) {
+  width: calc(100% - 120px);
+}
+
+.policeSituation-details-box .el-dialog .el-dialog__body .dialog-content {
+  display: flex;
+  height: 36px;
+  line-height: 36px;
+  flex-direction: row;
+  text-align: left;
+  margin-left: 10px;
+}
+
+.policeSituation-details-box
+  .el-dialog
+  .el-dialog__body
+  .dialog-content
+  > div:first-child {
+  width: 100px;
+  text-align: justify;
+  display: inline-block;
+  text-align-last: justify;
+  margin-right: 20px;
+}
+
+.policeSituation-details-box
+  .el-dialog
+  .el-dialog__body
+  .dialog-content
+  > div:nth-of-type(2) {
+  width: calc(100% - 120px);
+}
+
+.activity-details-box .el-dialog {
+  margin: 0 !important;
+  display: flex;
+  flex-direction: column;
+  width: 640px;
+  height: 400px;
+  top: 50%;
+  left: 50% !important;
+  transform: translate(-50%, -50%);
+}
+
+.activity-details-box .el-dialog .el-dialog__header {
+  height: 56px;
+  line-height: 56px;
+}
+
+.activity-details-box .el-dialog .el-dialog__body {
+  flex: 1;
+  display: flex;
+  flex-direction: row;
+  flex-wrap: wrap;
+  justify-self: flex-start;
+  align-content: flex-start;
+}
+
+.activity-details-box .el-dialog .el-dialog__body .item {
+  display: flex;
+  flex-direction: row;
+  width: calc(50% - 20px);
+  height: 36px;
+  line-height: 36px;
+  margin: 0 10px;
+  text-align: left;
+}
+
+.activity-details-box .el-dialog .el-dialog__body .item > div:first-child {
+  width: 100px;
+  text-align: justify;
+  display: inline-block;
+  text-align-last: justify;
+  margin-right: 20px;
+}
+
+.activity-details-box .el-dialog .el-dialog__body .item > div:nth-of-type(2) {
+  width: calc(100% - 120px);
+}
+
+.special-animal-enter-active {
+  transition: all 0.2s ease;
+}
+
+.special-animal-leave-active {
+  transition: all 0.2s cubic-bezier(1, 0.5, 0.8, 1);
+}
+
+.special-animal-enter,
+.special-animal-leave-to {
+  transform: translateX(-100%);
+  opacity: 0;
+}
+
+.video-draw-box .el-dialog {
+  margin: 0 !important;
+  display: flex;
+  flex-direction: column;
+  width: 320px;
+  height: 180px;
+  top: 50%;
+  left: 50% !important;
+  transform: translate(-50%, -50%);
+}
+
+.video-draw-box .el-dialog .el-dialog__body {
+  flex: 1;
+  display: flex;
+  align-items: center;
+  justify-content: center;
+  width: 100%;
+  height: 100%;
+  flex-wrap: wrap;
+}
+
+.video-draw-box .el-dialog .el-dialog__body input {
+  width: 90%;
+  height: 30px;
+  font-size: 16px;
+  text-indent: 1em;
+  color: #ffffff;
+  background-color: transparent;
+  border: 1px solid #005ca9;
+}
+
+.video-draw-box .el-dialog .el-dialog__body input:focus {
+  outline: none;
+}
+
+.video-draw-box .el-dialog .el-dialog__body input::-webkit-input-placeholder {
+  color: rgba(238, 238, 238, 0.7);
+}
+
+.video-draw-box .el-dialog .el-dialog__body button {
+  width: 60px;
+  height: 30px;
+  background-color: #65b1ff;
+  color: #fff;
+  border-radius: 4px;
+  cursor: pointer;
+  margin-top: 10px;
+}
+
+.choose-police-box .el-dialog {
+  margin: 0 !important;
+  display: flex;
+  flex-direction: column;
+  width: 320px;
+  height: 200px;
+  top: 50%;
+  left: 50% !important;
+  transform: translate(-50%, -50%);
+}
+
+.choose-police-box .el-dialog .el-dialog__body .el-button {
+  padding: 0;
+  background-color: rgba(2, 140, 184, 0.8);
+  color: #fff;
+  width: 60px;
+  height: 30px;
+  text-align: center;
+  margin-top: 40px;
+}

--
Gitblit v1.9.3